#
# spec file for package macchanger
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           macchanger
Version:        1.7.0
Release:        1.44
Summary:        Utility for viewing/manipulating the MAC address of network interfaces
License:        GPL-3.0+
Group:          Productivity/Networking/Other
Url:            https://github.com/alobbs/macchanger
Source:         https://github.com/alobbs/macchanger/releases/download/%{version}/%{name}-%{version}.tar.gz
Requires(pre):  %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A GNU/Linux utility for viewing/manipulating the MAC address of network interfaces.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-, root, root)
%{_bindir}/macchanger
%doc README
%{_datadir}/macchanger
%{_infodir}/macchanger.info%{ext_info}
%{_mandir}/man1/macchanger.1%{ext_man}
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license COPYING
%else
%doc COPYING
%endif

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
* Sat Apr  8 2017 sebix+novell.com@sebix.at
- fix license, is GPL-3.0+
* Tue Mar 14 2017 sebix+novell.com@sebix.at
- include license in package
* Sat Mar 11 2017 sebix+novell.com@sebix.at
- change upstream url from broken one to github repository
- fix uninstallation of texinfo
* Fri Feb 28 2014 mrueckert@suse.de
- updated to version 1.7.0:
  - MAC list was outdated. +300 new entries were added.
  - Default random number device was urandom instead of random.
  - Fix spelling error: endding -> ending
  - Fix computation of mac list lengths
  - Fix buffer overflow in mc_net_info_new
  - Only use BIA option when setting fully random MAC
  - Change default action to show
  - Updates random number devices list.
- updated License to spdx format
* Fri Dec  3 2010 vcizek@novell.com
- .spec adjustments
